<template>
  <component :is="componentId"></component>
</template>
<script setup>
import enterprise from "./enterprise/index.vue";
import expert from "./expert/index.vue";
import research from "./research/index.vue";
const route = useRoute();
const role = localStorage.getItem("select_identity");
const componentId = shallowRef(null);
onMounted(() => {
  if (role == 1) {
    componentId.value = enterprise;
  } else if (role == 2) {
    componentId.value = expert;
  } else if (role == 4) {
    componentId.value = research;
  } else if (role == 8) {
    componentId.value = research;
  } else if (role == 16) {
    componentId.value = research;
  } else {
    alert("暂无身份");
  }
});
</script>